> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magnific.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search and filter resources with advanced options

> Retrieve a list of resources based on various filter criteria such as orientation, content type, license, and more.



## OpenAPI

````yaml get /v1/resources
openapi: 3.0.0
info:
  description: >-
    The Magnific API is your gateway to a vast collection of high-quality
    digital resources for your applications and projects. As a leading platform,
    it offers a wide range of graphics, including vectors, photos,
    illustrations, icons, PSD templates, and more, all curated by talented
    designers from around the world.
  title: Magnific API
  version: 1.0.0
servers:
  - description: B2B API Production V1
    url: https://api.magnific.com
security:
  - magnificApiKey: []
paths:
  /v1/resources:
    get:
      tags:
        - Resources
      summary: Search and filter resources with advanced options
      description: >-
        Retrieve a list of resources based on various filter criteria such as
        orientation, content type, license, and more.
      operationId: search_resources
      parameters:
        - description: >
            Specifies the search query language using the ISO 639-1 (2-letter

            language code) and the ISO 3166-1 (2-letter country code) for
            language variants.

            The API will use "en-US" as a default language for processing if a
            code is not

            provided, or does not exist.
          example: en-US
          in: header
          name: Accept-Language
          required: false
          schema:
            type: string
        - description: >-
            Page number. It must be greater than 0 and less than or equal to
            100.
          example: 1
          in: query
          name: page
          required: false
          schema:
            type: integer
        - description: Limit results per page. It must be greater than 0.
          example: 100
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: >
            Specifies the order in which search results are returned. The
            available options allow you to prioritize results based on different
            criteria:
             - `relevance`: Prioritizes results that are most relevant to the search query.
             - `recent`: Sorts results by the most recent updates.
          example: recent
          in: query
          name: order
          required: false
          schema:
            default: relevance
            enum:
              - relevance
              - recent
            type: string
        - description: >-
            Search term. If only term comes, it is searched for term, if only
            slug comes, it is searched for slug and if both come, it is searched
            for slug
          example: nature
          in: query
          name: term
          required: false
          schema:
            type: string
        - description: Advanced filtering options for resources
          explode: true
          in: query
          name: filters
          schema:
            $ref: '#/components/schemas/search_resources_filters_parameter'
          style: deepObject
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/200-b2b-full-list-pagination'
              schema:
                $ref: '#/components/schemas/search_resources_200_response'
          description: Ok Response
        '400':
          content:
            application/json:
              examples:
                invalid_page:
                  summary: Parameter 'page' is not valid
                  value:
                    message: Parameter 'page' must be greater than 0
                invalid_query:
                  summary: Parameter 'query' is not valid
                  value:
                    message: Parameter 'query' must not be empty
                invalid_filter:
                  summary: Parameter 'filter' is not valid
                  value:
                    message: Parameter 'filter' is not valid
                generic_bad_request:
                  summary: Bad Request
                  value:
                    message: Parameter ':attribute' is not valid
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
            application/problem+json:
              examples:
                invalid_page:
                  summary: Parameter 'page' is not valid
                  value:
                    message: Validation error
                    invalid_params:
                      - field: page
                        reason: Parameter 'page' must be greater than 0
                      - field: per_page
                        reason: Parameter 'per_page' must be greater than 0
              schema:
                $ref: >-
                  #/components/schemas/get_all_style_transfer_tasks_400_response_1
          description: >-
            Bad Request - The server could not understand the request due to
            invalid syntax.
        '401':
          content:
            application/json:
              examples:
                invalid_api_key:
                  summary: API key is not valid
                  value:
                    message: Invalid API key
                missing_api_key:
                  summary: API key is not provided
                  value:
                    message: Missing API key
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
          description: >-
            Unauthorized - The client must authenticate itself to get the
            requested response.
        '403':
          content:
            application/json:
              examples:
                user_not_authorized:
                  summary: User has not privileges to access some resource
                  value:
                    message: User is not authorized to access this resource
                user_not_owner:
                  summary: Collection author id is different from current user's id
                  value:
                    message: User is not owner of requested collection
                item_is_premium:
                  summary: The user cannot download this item because it is premium
                  value:
                    message: The user cannot download this item because it is premium
                creator_not_authorized:
                  summary: Creator has not privileges to access some resource
                  value:
                    message: Creator is not authorized to access this resource
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
          description: >-
            Forbidden - The client does not have permission to access the
            requested resource.
        '404':
          content:
            application/json:
              examples:
                ai_resource_not_found:
                  summary: AI resource with provided id does not exist
                  value:
                    message: AI resource not found
                collection_not_found:
                  summary: Collection with provided id does not exist
                  value:
                    message: Collection not found
                resource_not_found:
                  summary: Resource with provided id does not exist
                  value:
                    message: Resource not found
                resources_not_found:
                  summary: Resources not found
                  value:
                    message: Resources not found
                user_not_found:
                  summary: User with provided id does not exist
                  value:
                    message: User not found
                video_not_found:
                  summary: Video with provided id does not exist
                  value:
                    message: Video not found
                video_assets_not_found:
                  summary: Video with provided id has not associated assets
                  value:
                    message: Video not found
                icon_not_found:
                  summary: Icon with provided id does not exist
                  value:
                    message: Icon not found
                author_not_found:
                  summary: Author with provided id does not exist
                  value:
                    message: Author not found
                developer_not_found:
                  summary: Developer with provided email does not exist
                  value:
                    message: Developer not found
                country_not_found:
                  summary: Country with provided code does not exist
                  value:
                    message: Country not found
                generic_not_found:
                  summary: Not Found
                  value:
                    message: Not found
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
          description: Not Found - The server can not find the requested resource.
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_503_response'
          description: Service Unavailable
components:
  schemas:
    search_resources_filters_parameter:
      properties:
        orientation:
          $ref: '#/components/schemas/search_resources_filters_parameter_orientation'
        content_type:
          $ref: '#/components/schemas/search_resources_filters_parameter_content_type'
        license:
          $ref: '#/components/schemas/search_resources_filters_parameter_license'
        people:
          $ref: '#/components/schemas/search_resources_filters_parameter_people'
        period:
          description: >-
            Filters results based on the time period in which the resources were
            added.
          enum:
            - last-month
            - last-quarter
            - last-semester
            - last-year
          type: string
        color:
          description: Filters results by the predominant color in the resources.
          enum:
            - black
            - blue
            - gray
            - green
            - orange
            - red
            - white
            - yellow
            - purple
            - cyan
            - pink
          type: string
        author:
          default: 0
          description: >-
            Filters results to include resources by a specific author,
            identified by their author ID.
          type: number
        ai-generated:
          $ref: '#/components/schemas/search_resources_filters_parameter_ai_generated'
        vector:
          $ref: '#/components/schemas/search_resources_filters_parameter_vector'
        psd:
          $ref: '#/components/schemas/search_resources_filters_parameter_psd'
        ids:
          description: >-
            Filter by list of ids. This filter is incompatible with any other
            filters. In case of using this filter, the rest of filters will be
            ignored.
          example: 1,2,3,4,5
          type: string
      type: object
    search_resources_200_response:
      example:
        data:
          - id: 15667327
            title: White t-shirt with copy space on gray background
            url: >-
              https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
            licenses:
              - type: freemium
                url: https://www.freepik.com/profile/license/pdf/4350594
              - type: freemium
                url: https://www.freepik.com/profile/license/pdf/4350594
            image:
              type: vector
              orientation: horizontal
              source:
                key: large
                url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
                size: 740x640
            author:
              id: 2147483647
              name: John Doe
              avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
              assets: 0
              slug: merry-christmas
            filename: filename
            products:
              - type: essential
                url: >-
                  https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
              - type: essential
                url: >-
                  https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
            meta:
              published_at: '2020-12-01T23:50:50.000Z'
              is_new: true
              available_formats:
                psd:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                ai:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                eps:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                atn:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                fonts:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                resources:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                png:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                jpg:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                3d-render:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                zip:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                svg:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
            related:
              serie:
                id: 15667327
                title: White t-shirt with copy space on gray background
                url: >-
                  https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
                licenses:
                  - type: freemium
                    url: https://www.freepik.com/profile/license/pdf/4350594
                  - type: freemium
                    url: https://www.freepik.com/profile/license/pdf/4350594
                image:
                  type: vector
                  orientation: horizontal
                  source:
                    key: large
                    url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
                    size: 740x640
                author:
                  id: 2147483647
                  name: John Doe
                  avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
                  assets: 0
                  slug: merry-christmas
              others:
                id: 15667327
                title: White t-shirt with copy space on gray background
                url: >-
                  https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
                licenses:
                  - type: freemium
                    url: https://www.freepik.com/profile/license/pdf/4350594
                  - type: freemium
                    url: https://www.freepik.com/profile/license/pdf/4350594
                image:
                  type: vector
                  orientation: horizontal
                  source:
                    key: large
                    url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
                    size: 740x640
                author:
                  id: 2147483647
                  name: John Doe
                  avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
                  assets: 0
                  slug: merry-christmas
              keywords:
                slug: merry-christmas
                name: Merry Christmas
            stats:
              downloads: 0
              likes: 0
          - id: 15667327
            title: White t-shirt with copy space on gray background
            url: >-
              https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
            licenses:
              - type: freemium
                url: https://www.freepik.com/profile/license/pdf/4350594
              - type: freemium
                url: https://www.freepik.com/profile/license/pdf/4350594
            image:
              type: vector
              orientation: horizontal
              source:
                key: large
                url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
                size: 740x640
            author:
              id: 2147483647
              name: John Doe
              avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
              assets: 0
              slug: merry-christmas
            filename: filename
            products:
              - type: essential
                url: >-
                  https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
              - type: essential
                url: >-
                  https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
            meta:
              published_at: '2020-12-01T23:50:50.000Z'
              is_new: true
              available_formats:
                psd:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                ai:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                eps:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                atn:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                fonts:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                resources:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                png:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                jpg:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                3d-render:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                zip:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
                svg:
                  total: 1
                  items:
                    - name: image.jpg
                      colorspace: RGB
                    - name: image.jpg
                      colorspace: RGB
            related:
              serie:
                id: 15667327
                title: White t-shirt with copy space on gray background
                url: >-
                  https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
                licenses:
                  - type: freemium
                    url: https://www.freepik.com/profile/license/pdf/4350594
                  - type: freemium
                    url: https://www.freepik.com/profile/license/pdf/4350594
                image:
                  type: vector
                  orientation: horizontal
                  source:
                    key: large
                    url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
                    size: 740x640
                author:
                  id: 2147483647
                  name: John Doe
                  avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
                  assets: 0
                  slug: merry-christmas
              others:
                id: 15667327
                title: White t-shirt with copy space on gray background
                url: >-
                  https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
                licenses:
                  - type: freemium
                    url: https://www.freepik.com/profile/license/pdf/4350594
                  - type: freemium
                    url: https://www.freepik.com/profile/license/pdf/4350594
                image:
                  type: vector
                  orientation: horizontal
                  source:
                    key: large
                    url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
                    size: 740x640
                author:
                  id: 2147483647
                  name: John Doe
                  avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
                  assets: 0
                  slug: merry-christmas
              keywords:
                slug: merry-christmas
                name: Merry Christmas
            stats:
              downloads: 0
              likes: 0
        meta:
          current_page: 1
          per_page: 1
          last_page: 1
          total: 1
          clean_search: true
      properties:
        data:
          description: A list of resources.
          items:
            $ref: '#/components/schemas/search_resources_200_response_data_inner'
          type: array
        meta:
          $ref: '#/components/schemas/search_resources_200_response_meta'
      type: object
    get_all_style_transfer_tasks_400_response:
      example:
        message: message
      properties:
        message:
          type: string
      type: object
    get_all_style_transfer_tasks_400_response_1:
      properties:
        problem:
          $ref: >-
            #/components/schemas/get_all_style_transfer_tasks_400_response_1_problem
      type: object
    get_all_style_transfer_tasks_503_response:
      example:
        message: Service Unavailable. Please try again later.
      properties:
        message:
          example: Service Unavailable. Please try again later.
          type: string
      type: object
    search_resources_filters_parameter_orientation:
      properties:
        landscape:
          default: 0
          description: >-
            Filters results to only include resources with a landscape
            orientation. Set to 1 to enable, 0 to disable.
          type: number
        portrait:
          default: 0
          description: >-
            Filters results to only include resources with a portrait
            orientation. Set to 1 to enable, 0 to disable.
          type: number
        square:
          default: 0
          description: >-
            Filters results to only include resources with a square orientation.
            Set to 1 to enable, 0 to disable.
          type: number
        panoramic:
          default: 0
          description: >-
            Filters results to only include resources with a panoramic
            orientation. Set to 1 to enable, 0 to disable.
          type: number
      type: object
    search_resources_filters_parameter_content_type:
      properties:
        photo:
          default: 0
          description: >-
            Filters results to only include resources of type photo. Set to 1 to
            enable, 0 to disable.
          type: number
        psd:
          default: 0
          description: >-
            Filters results to only include resources of type PSD (Photoshop
            Document). Set to 1 to enable, 0 to disable.
          type: number
        vector:
          default: 0
          description: >-
            Filters results to only include resources of type vector. Set to 1
            to enable, 0 to disable.
          type: number
      type: object
    search_resources_filters_parameter_license:
      properties:
        freemium:
          default: 0
          description: >-
            Filters results to only include resources with a freemium license.
            Set to 1 to enable, 0 to disable.
          type: number
        premium:
          default: 0
          description: >-
            Filters results to only include resources with a premium license.
            Set to 1 to enable, 0 to disable.
          type: number
      type: object
    search_resources_filters_parameter_people:
      properties:
        include:
          default: 0
          description: Filter by included people
          example: 1
          type: number
        exclude:
          default: 0
          description: Filter by excluded people
          example: 1
          type: number
        number:
          description: Filter by number of people
          enum:
            - '1'
            - '2'
            - '3'
            - more_than_three
          example: '2'
          type: string
        age:
          description: Filter by age of the people
          enum:
            - infant
            - child
            - teen
            - young-adult
            - adult
            - senior
            - elder
          example: child
          type: string
        gender:
          description: Filter by gender of the people
          enum:
            - male
            - female
          example: female
          type: string
        ethnicity:
          description: Filter by ethnicity of the people
          enum:
            - south-asian
            - middle-eastern
            - east-asian
            - black
            - hispanic
            - indian
            - white
            - multiracial
            - southeast-asian
          example: black
          type: string
      type: object
    search_resources_filters_parameter_ai_generated:
      properties:
        excluded:
          default: 0
          description: >-
            Excludes AI-generated images from the results. Set to 1 to exclude,
            0 to include.
          type: number
        only:
          default: 0
          description: >-
            Filters results to only include AI-generated images. Set to 1 to
            include only AI-generated images, 0 to include all images.
          type: number
      type: object
    search_resources_filters_parameter_vector:
      properties:
        type:
          description: File type for vectors
          enum:
            - jpg
            - ai
            - eps
            - svg
          type: string
        style:
          description: >-
            Style type for vectors, ignored if content_type exists and it is not
            vector
          enum:
            - watercolor
            - flat
            - cartoon
            - geometric
            - gradient
            - isometric
            - 3d
            - hand-drawn
          type: string
      type: object
    search_resources_filters_parameter_psd:
      properties:
        type:
          description: File type for psd
          enum:
            - jpg
            - psd
          type: string
      type: object
    search_resources_200_response_data_inner:
      anyOf:
        - $ref: '#/components/schemas/vector_psd_resource'
        - $ref: '#/components/schemas/photo_resource'
    search_resources_200_response_meta:
      allOf:
        - $ref: '#/components/schemas/pagination'
        - properties:
            clean_search:
              $ref: '#/components/schemas/clean_search'
          type: object
      example:
        current_page: 1
        per_page: 1
        last_page: 1
        total: 1
        clean_search: true
    get_all_style_transfer_tasks_400_response_1_problem:
      properties:
        message:
          example: Validation error
          type: string
        invalid_params:
          items:
            $ref: >-
              #/components/schemas/get_all_style_transfer_tasks_400_response_1_problem_invalid_params_inner
          type: array
      required:
        - invalid_params
        - message
      type: object
    vector_psd_resource:
      additionalProperties: true
      allOf:
        - $ref: '#/components/schemas/resource_base'
        - description: A resource within a list of resources from collection
          properties:
            filename:
              description: The filename of this resource.
              type: string
            products:
              deprecated: true
              description: These products of this resource
              items:
                $ref: '#/components/schemas/resource_product'
              type: array
            meta:
              $ref: '#/components/schemas/resource_meta'
            related:
              $ref: '#/components/schemas/resource_related'
            stats:
              $ref: '#/components/schemas/resource_stats'
          required:
            - filename
            - meta
            - related
            - stats
          type: object
      example:
        id: 15667327
        title: White t-shirt with copy space on gray background
        url: >-
          https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
        licenses:
          - type: freemium
            url: https://www.freepik.com/profile/license/pdf/4350594
          - type: freemium
            url: https://www.freepik.com/profile/license/pdf/4350594
        image:
          type: vector
          orientation: horizontal
          source:
            key: large
            url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
            size: 740x640
        author:
          id: 2147483647
          name: John Doe
          avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
          assets: 0
          slug: merry-christmas
        filename: filename
        products:
          - type: essential
            url: >-
              https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
          - type: essential
            url: >-
              https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
        meta:
          published_at: '2020-12-01T23:50:50.000Z'
          is_new: true
          available_formats:
            psd:
              total: 1
              items:
                - name: image.jpg
                  colorspace: RGB
                - name: image.jpg
                  colorspace: RGB
            ai:
              total: 1
              items:
                - name: image.jpg
                  colorspace: RGB
                - name: image.jpg
                  colorspace: RGB
            eps:
              total: 1
              items:
                - name: image.jpg
                  colorspace: RGB
                - name: image.jpg
                  colorspace: RGB
            atn:
              total: 1
              items:
                - name: image.jpg
                  colorspace: RGB
                - name: image.jpg
                  colorspace: RGB
            fonts:
              total: 1
              items:
                - name: image.jpg
                  colorspace: RGB
                - name: image.jpg
                  colorspace: RGB
            resources:
              total: 1
              items:
                - name: image.jpg
                  colorspace: RGB
                - name: image.jpg
                  colorspace: RGB
            png:
              total: 1
              items:
                - name: image.jpg
                  colorspace: RGB
                - name: image.jpg
                  colorspace: RGB
            jpg:
              total: 1
              items:
                - name: image.jpg
                  colorspace: RGB
                - name: image.jpg
                  colorspace: RGB
            3d-render:
              total: 1
              items:
                - name: image.jpg
                  colorspace: RGB
                - name: image.jpg
                  colorspace: RGB
            zip:
              total: 1
              items:
                - name: image.jpg
                  colorspace: RGB
                - name: image.jpg
                  colorspace: RGB
            svg:
              total: 1
              items:
                - name: image.jpg
                  colorspace: RGB
                - name: image.jpg
                  colorspace: RGB
        related:
          serie:
            id: 15667327
            title: White t-shirt with copy space on gray background
            url: >-
              https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
            licenses:
              - type: freemium
                url: https://www.freepik.com/profile/license/pdf/4350594
              - type: freemium
                url: https://www.freepik.com/profile/license/pdf/4350594
            image:
              type: vector
              orientation: horizontal
              source:
                key: large
                url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
                size: 740x640
            author:
              id: 2147483647
              name: John Doe
              avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
              assets: 0
              slug: merry-christmas
          others:
            id: 15667327
            title: White t-shirt with copy space on gray background
            url: >-
              https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
            licenses:
              - type: freemium
                url: https://www.freepik.com/profile/license/pdf/4350594
              - type: freemium
                url: https://www.freepik.com/profile/license/pdf/4350594
            image:
              type: vector
              orientation: horizontal
              source:
                key: large
                url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
                size: 740x640
            author:
              id: 2147483647
              name: John Doe
              avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
              assets: 0
              slug: merry-christmas
          keywords:
            slug: merry-christmas
            name: Merry Christmas
        stats:
          downloads: 0
          likes: 0
    photo_resource:
      additionalProperties: true
      allOf:
        - $ref: '#/components/schemas/resource_base'
        - description: A resource within a list of resources from collection
          properties:
            filename:
              description: The filename of this resource.
              type: string
            products:
              deprecated: true
              description: These products of this resource
              items:
                $ref: '#/components/schemas/resource_product'
              type: array
            meta:
              $ref: '#/components/schemas/photo_meta'
            related:
              $ref: '#/components/schemas/resource_base'
            stats:
              $ref: '#/components/schemas/resource_stats'
          required:
            - filename
            - meta
            - related
            - stats
          type: object
    pagination:
      description: Metainformation about pagination
      example:
        current_page: 1
        per_page: 1
        last_page: 1
        total: 1
      properties:
        current_page:
          description: The current page.
          example: 1
          type: integer
        per_page:
          description: The limit of resources per page.
          example: 1
          type: integer
        last_page:
          description: The total number of pages.
          example: 1
          type: integer
        total:
          description: The total number of resources.
          example: 1
          type: integer
      type: object
    clean_search:
      description: >-
        If true, It has been ensured that the search does not return disabled
        resources.
      example: true
      type: boolean
    get_all_style_transfer_tasks_400_response_1_problem_invalid_params_inner:
      properties:
        name:
          description: Name of the invalid parameter.
          example: page
          type: string
        field:
          description: Field of the invalid parameter. Mirrors `name`.
          example: page
          type: string
        reason:
          example: Parameter 'page' must be greater than 0
          type: string
      required:
        - field
        - name
        - reason
      type: object
    resource_base:
      description: A resource within a list of resources from collection
      example:
        id: 15667327
        title: White t-shirt with copy space on gray background
        url: >-
          https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
        licenses:
          - type: freemium
            url: https://www.freepik.com/profile/license/pdf/4350594
          - type: freemium
            url: https://www.freepik.com/profile/license/pdf/4350594
        image:
          type: vector
          orientation: horizontal
          source:
            key: large
            url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
            size: 740x640
        author:
          id: 2147483647
          name: John Doe
          avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
          assets: 0
          slug: merry-christmas
      properties:
        id:
          description: Resource's id.
          example: 15667327
          minimum: 1
          type: integer
        title:
          description: Resource's title.
          example: White t-shirt with copy space on gray background
          type: string
        url:
          description: Resource's url
          example: >-
            https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
          format: uri
          type: string
        licenses:
          description: The licenses of this resource
          items:
            $ref: '#/components/schemas/license-information'
          type: array
        image:
          $ref: '#/components/schemas/resource-image'
        author:
          $ref: '#/components/schemas/author'
      required:
        - author
        - id
        - image
        - licenses
        - title
        - url
      type: object
    resource_product:
      deprecated: true
      example:
        type: essential
        url: >-
          https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
      properties:
        type:
          deprecated: true
          description: The type of product
          example: essential
          type: string
        url:
          deprecated: true
          description: The url of product
          example: >-
            https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
          format: uri
          type: string
      required:
        - type
        - url
      type: object
    resource_meta:
      example:
        published_at: '2020-12-01T23:50:50.000Z'
        is_new: true
        available_formats:
          psd:
            total: 1
            items:
              - name: image.jpg
                colorspace: RGB
              - name: image.jpg
                colorspace: RGB
          ai:
            total: 1
            items:
              - name: image.jpg
                colorspace: RGB
              - name: image.jpg
                colorspace: RGB
          eps:
            total: 1
            items:
              - name: image.jpg
                colorspace: RGB
              - name: image.jpg
                colorspace: RGB
          atn:
            total: 1
            items:
              - name: image.jpg
                colorspace: RGB
              - name: image.jpg
                colorspace: RGB
          fonts:
            total: 1
            items:
              - name: image.jpg
                colorspace: RGB
              - name: image.jpg
                colorspace: RGB
          resources:
            total: 1
            items:
              - name: image.jpg
                colorspace: RGB
              - name: image.jpg
                colorspace: RGB
          png:
            total: 1
            items:
              - name: image.jpg
                colorspace: RGB
              - name: image.jpg
                colorspace: RGB
          jpg:
            total: 1
            items:
              - name: image.jpg
                colorspace: RGB
              - name: image.jpg
                colorspace: RGB
          3d-render:
            total: 1
            items:
              - name: image.jpg
                colorspace: RGB
              - name: image.jpg
                colorspace: RGB
          zip:
            total: 1
            items:
              - name: image.jpg
                colorspace: RGB
              - name: image.jpg
                colorspace: RGB
          svg:
            total: 1
            items:
              - name: image.jpg
                colorspace: RGB
              - name: image.jpg
                colorspace: RGB
      properties:
        published_at:
          description: The datetime when this resource was published.
          example: '2020-12-01T23:50:50.000Z'
          type: string
        is_new:
          description: True if this resource is new. False, otherwise.
          example: true
          type: boolean
        available_formats:
          $ref: '#/components/schemas/available_formats_1'
      required:
        - available_formats
        - is_new
        - published_at
      type: object
    resource_related:
      example:
        serie:
          id: 15667327
          title: White t-shirt with copy space on gray background
          url: >-
            https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
          licenses:
            - type: freemium
              url: https://www.freepik.com/profile/license/pdf/4350594
            - type: freemium
              url: https://www.freepik.com/profile/license/pdf/4350594
          image:
            type: vector
            orientation: horizontal
            source:
              key: large
              url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
              size: 740x640
          author:
            id: 2147483647
            name: John Doe
            avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
            assets: 0
            slug: merry-christmas
        others:
          id: 15667327
          title: White t-shirt with copy space on gray background
          url: >-
            https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm
          licenses:
            - type: freemium
              url: https://www.freepik.com/profile/license/pdf/4350594
            - type: freemium
              url: https://www.freepik.com/profile/license/pdf/4350594
          image:
            type: vector
            orientation: horizontal
            source:
              key: large
              url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
              size: 740x640
          author:
            id: 2147483647
            name: John Doe
            avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
            assets: 0
            slug: merry-christmas
        keywords:
          slug: merry-christmas
          name: Merry Christmas
      properties:
        serie:
          $ref: '#/components/schemas/resource_base'
        others:
          $ref: '#/components/schemas/resource_base'
        keywords:
          $ref: '#/components/schemas/tag_1'
      required:
        - keywords
        - others
        - serie
      type: object
    resource_stats:
      example:
        downloads: 0
        likes: 0
      properties:
        downloads:
          description: The number of downloads of this resource.
          example: 0
          type: integer
        likes:
          description: The number of likes of this resource.
          example: 0
          type: integer
      required:
        - downloads
        - likes
      type: object
    photo_meta:
      properties:
        published_at:
          description: The datetime when this resource was published.
          example: '2020-12-01T23:50:50.000Z'
          type: string
        is_new:
          description: True if this resource is new. False, otherwise.
          example: true
          type: boolean
        available_formats:
          $ref: '#/components/schemas/photo_available_formats'
      required:
        - available_formats
        - is_new
        - published_at
      type: object
    license-information:
      example:
        type: freemium
        url: https://www.freepik.com/profile/license/pdf/4350594
      properties:
        type:
          description: The type of license.
          enum:
            - freemium
            - premium
          type: string
        url:
          description: The URL of the license.
          example: https://www.freepik.com/profile/license/pdf/4350594
          format: uri
          type: string
      required:
        - type
        - url
      type: object
    resource-image:
      example:
        type: vector
        orientation: horizontal
        source:
          key: large
          url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
          size: 740x640
      properties:
        type:
          $ref: '#/components/schemas/regular-resource-type'
        orientation:
          $ref: '#/components/schemas/orientation'
        source:
          $ref: '#/components/schemas/resource_image_source'
      required:
        - orientation
        - source
        - type
      type: object
    author:
      example:
        id: 2147483647
        name: John Doe
        avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
        assets: 0
        slug: merry-christmas
      properties:
        id:
          maximum: 9223372036854776000
          minimum: 1
          type: integer
        name:
          example: John Doe
          minLength: 1
          type: string
        avatar:
          example: https://avatar.cdnpk.net/61668527-220726032514.jpg
          format: uri
          type: string
        assets:
          description: The number of assets of this author.
          minimum: 0
          type: integer
        slug:
          example: merry-christmas
          minLength: 1
          type: string
      required:
        - assets
        - avatar
        - id
        - name
        - slug
      type: object
    available_formats_1:
      description: The available formats for the resource.
      example:
        psd:
          total: 1
          items:
            - name: image.jpg
              colorspace: RGB
            - name: image.jpg
              colorspace: RGB
        ai:
          total: 1
          items:
            - name: image.jpg
              colorspace: RGB
            - name: image.jpg
              colorspace: RGB
        eps:
          total: 1
          items:
            - name: image.jpg
              colorspace: RGB
            - name: image.jpg
              colorspace: RGB
        atn:
          total: 1
          items:
            - name: image.jpg
              colorspace: RGB
            - name: image.jpg
              colorspace: RGB
        fonts:
          total: 1
          items:
            - name: image.jpg
              colorspace: RGB
            - name: image.jpg
              colorspace: RGB
        resources:
          total: 1
          items:
            - name: image.jpg
              colorspace: RGB
            - name: image.jpg
              colorspace: RGB
        png:
          total: 1
          items:
            - name: image.jpg
              colorspace: RGB
            - name: image.jpg
              colorspace: RGB
        jpg:
          total: 1
          items:
            - name: image.jpg
              colorspace: RGB
            - name: image.jpg
              colorspace: RGB
        3d-render:
          total: 1
          items:
            - name: image.jpg
              colorspace: RGB
            - name: image.jpg
              colorspace: RGB
        zip:
          total: 1
          items:
            - name: image.jpg
              colorspace: RGB
            - name: image.jpg
              colorspace: RGB
        svg:
          total: 1
          items:
            - name: image.jpg
              colorspace: RGB
            - name: image.jpg
              colorspace: RGB
      nullable: true
      properties:
        psd:
          $ref: '#/components/schemas/formats'
        ai:
          $ref: '#/components/schemas/formats'
        eps:
          $ref: '#/components/schemas/formats'
        atn:
          $ref: '#/components/schemas/formats'
        fonts:
          $ref: '#/components/schemas/formats'
        resources:
          $ref: '#/components/schemas/formats'
        png:
          $ref: '#/components/schemas/formats'
        jpg:
          $ref: '#/components/schemas/formats'
        3d-render:
          $ref: '#/components/schemas/formats'
        zip:
          $ref: '#/components/schemas/formats'
        svg:
          $ref: '#/components/schemas/formats'
      type: object
    tag_1:
      example:
        slug: merry-christmas
        name: Merry Christmas
      properties:
        slug:
          example: merry-christmas
          minLength: 1
          type: string
        name:
          description: The name of the tag.
          example: Merry Christmas
          minLength: 1
          type: string
      required:
        - name
        - slug
      type: object
    photo_available_formats:
      description: The available formats for the photo.
      nullable: true
      properties:
        jpg:
          $ref: '#/components/schemas/photo_formats'
      type: object
    regular-resource-type:
      description: The type of the resource.
      enum:
        - photo
        - vector
        - psd
      example: vector
      type: string
    orientation:
      description: The orientation of the image.
      enum:
        - horizontal
        - vertical
        - square
        - panoramic
        - unknown
      type: string
    resource_image_source:
      example:
        key: large
        url: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
        size: 740x640
      properties:
        key:
          description: The size of this image
          enum:
            - large
          example: large
          type: string
        url:
          description: The orientation of this resource.
          example: https://img.freepik.com/free-photo/tshirt_53876-104920.jpg
          format: uri
          type: string
        size:
          description: The width and height of the image
          example: 740x640
          pattern: ^[1-9][0-9]+x[1-9][0-9]+$
          type: string
      required:
        - key
        - size
        - url
      type: object
    formats:
      allOf:
        - $ref: '#/components/schemas/formats_1'
        - properties:
            items:
              items:
                $ref: '#/components/schemas/format_1'
              type: array
          required:
            - items
          type: object
      example:
        total: 1
        items:
          - name: image.jpg
            colorspace: RGB
          - name: image.jpg
            colorspace: RGB
    photo_formats:
      properties:
        total:
          description: The total number of files for that format.
          example: 1
          type: integer
        items:
          items:
            $ref: '#/components/schemas/photo_format'
          type: array
      required:
        - items
        - total
      type: object
    formats_1:
      properties:
        total:
          description: The total number of files for that format.
          example: 1
          type: integer
        items:
          items:
            $ref: '#/components/schemas/format'
          type: array
      required:
        - items
        - total
      type: object
    format_1:
      allOf:
        - $ref: '#/components/schemas/format'
        - properties:
            name:
              description: The name of the file.
              example: image.jpg
              type: string
            colorspace:
              description: The colorspace of the file.
              enum:
                - RGB
                - CMYK
                - UNKNOWN
              example: RGB
              type: string
          required:
            - colorspace
            - name
          type: object
      example:
        name: image.jpg
        colorspace: RGB
    photo_format:
      properties:
        id:
          description: The id of the format. Null if doesn't exist
          example: 1
          minimum: 1
          nullable: true
          type: integer
        colorspace:
          description: >-
            The colorspace of the file. This property is not sent when the file
            id is null.
          enum:
            - RGB
            - CMYK
            - UNKNOWN
          example: RGB
          type: string
        name:
          description: >-
            The name of the file. This property is not sent when the file id is
            null.
          example: image.jpg
          type: string
        size:
          description: The size of the photo in bytes.
          example: 100
          type: integer
        is_remove_bg:
          description: Indicates that the file is the result of the remove background tool.
          example: true
          type: boolean
      required:
        - size
      type: object
    format:
      example:
        id: 1
        size: 100
      properties:
        id:
          description: The id of the format. Null if doesn't exist
          example: 1
          nullable: true
          type: integer
        size:
          description: The size of the file in bytes.
          example: 100
          type: integer
      required:
        - id
        - size
      type: object
  examples:
    200-b2b-full-list-pagination:
      summary: Success - Found matched resources in English
      value:
        data:
          - id: 770011
            title: Sports car
            url: https://www.freepik.com/free-icon/sports-car_770011.htm
            filename: sports-car.zip
            licenses:
              - type: freemium
                url: https://www.freepik.com/profile/license/pdf/770011?lang=en
            products: []
            meta:
              published_at: '2022-01-14T20:45:28.000Z'
              is_new: true
              available_formats:
                jpg:
                  total: 2
                  items:
                    - id: 444
                      name: Sports car
                      colorspace: RGB
                      size: 100
                    - id: 555
                      name: Sports car
                      colorspace: RGB
                      size: 200
            image:
              type: photo
              orientation: square
              source:
                url: https://img.flaticon.com/icons/png/512/67/67994.png
                key: large
                size: 128x128
            related:
              serie: []
              others: []
              keywords: []
            stats:
              downloads: 52527
              likes: 137
            author:
              id: 744082
              name: flaticon
              avatar: https://avatar.cdnpk.net/744082.jpg
              slug: flaticon
          - id: 1540200
            title: Grey car logo collection
            url: >-
              https://www.freepik.com/free-vector/grey-car-logo-collection_1540200.htm
            filename: grey-car-logo-collection.zip
            licenses:
              - type: freemium
                url: https://www.freepik.com/profile/license/pdf/1540200?lang=en
            products:
              - type: essential
                url: https://www.freepik.com/profile/license/pdf/1540200?lang=en
            meta:
              published_at: '2022-01-14T16:06:23.000Z'
              is_new: true
              available_formats:
                jpg:
                  total: 2
                  items:
                    - id: 444
                      size: 100
                    - id: 555
                      size: 200
            image:
              type: vector
              orientation: square
              source:
                url: https://
                key: large
                size: 626x626
            related:
              serie: []
              others: []
              keywords: []
            stats:
              downloads: 1639
              likes: 18
            author:
              id: 23
              name: magnific
              avatar: https://avatar.cdnpk.net/23.jpg
              slug: magnific
        meta:
          current_page: 1
          last_page: 32
          per_page: 2
          total: 63
  securitySchemes:
    magnificApiKey:
      description: >
        Your Magnific API key. Required for authentication. [Learn how to obtain
        an API key](https://docs.magnific.com/quickstart)
      in: header
      name: x-magnific-api-key
      type: apiKey

````